-- Textures for Ice Zone campaning --
---- Copyright  2009 Sl@v@98 ----

--  default values are:
--   left     = 0
--   top      = 0
--   right    = [width of image]
--   bottom   = [height of image]
--   xpivot   = [width of image]/2
--   ypivot   = [height of image]/2
--   xframes  = 1,
--   yframes  = 1,
--   xscale   = 1,
--   yscale   = 1,
--   color    = 0xffffffff


return {
--------------------------------------
{
   file="campaign/Ice Zone/grid.tga",
   content={
     grid={xpivot=0, ypivot=0},
   }
},
{
   file="campaign/Ice Zone/labels.tga",
   content={
     editor_respawn={left=0, top=0, right=32, bottom=32},
     editor_item={left=64, top=0, right=128, bottom=64},
   }
},
{
   file="campaign/Ice Zone/cursor.tga",
   content={
     cursor={right=128, bottom=64, xframes=4, yframes=2, xpivot=1, ypivot=1},
   }
},
{
    file="campaign/Ice Zone/firetank.tga",
    content={ 
      ["skin/firetank"]={},
	}
},
{
    file="campaign/Ice Zone/icetank.tga",
    content={ 
      ["skin/icetank"]={},
	}
},
{
  file="campaign/Ice Zone/bg.tga",
  wrap=true,
  content={
    background={},
  }
},
{
  file="campaign/Ice Zone/walls.tga",
  wrap=true,
  content={
    brick_wall={left=0, top=0, right=128, bottom=64, xframes=4, yframes=2},
    brick_lt={left=128, top=0, right=160, bottom=128, yframes=4},
    brick_rt={left=160, top=0, right=192, bottom=128, yframes=4},
    brick_rb={left=192, top=0, right=224, bottom=128, yframes=4},
    brick_lb={left=224, top=0, right=256, bottom=128, yframes=4},
    concrete_wall={left=0, top=64, right=128, bottom=96, xframes=4, yframes=1},
    concrete_lt={left=0,  top=96, right=32,  bottom=128},
    concrete_rt={left=32, top=96, right=64,  bottom=128},
    concrete_rb={left=64, top=96, right=96,  bottom=128},
    concrete_lb={left=96, top=96, right=128, bottom=128},
  }
},
{
  file="campaign/Ice Zone/decals.tga",
  wrap=true,
  content={
    cat_track={left=0, top=0, right=8, bottom=8, xpivot=4, ypivot=4},
  }
},
{
  file="campaign/Ice Zone/wood.tga",
  content={
    wood={left=16, top=16, right=112, bottom=112, xframes=3, yframes=3},
  }
},
{
  file="campaign/Ice Zone/water.tga",
  content={
     water={left=0, top=0, right=96, bottom=96, xframes=3, yframes=3},
  }
},
{
  file="campaign/Ice Zone/mine.tga",
  content={
    item_mine={},
  }
},
{
   file="campaign/Ice Zone/particles.tga",
   content={
     particle_brick={left=0, top=0, right=128, bottom=128, xframes=8, yframes=8},
     particle_smoke={left=128, top=0, right=256, bottom=128, xframes=4, yframes=4},
     particle_white={left=0, top=192, right=64, bottom=200, xframes=16, yframes=2},
     particle_gauss1={left=96, top=183, right=112, bottom=190},
   }
},
{
   file="campaign/Ice Zone/crate.tga",
   content={
     crate01={},

   }
},
{
   file="campaign/Ice Zone/explosions.tga",
   content={
     explosion_big={left=0, top=0, right=768, bottom=384, xframes=6, yframes=3},
     explosion_e={left=0, top=384, right=512, bottom=448, xframes=8, yframes=1},
     explosion_o={left=0, top=448, right=512, bottom=512, xframes=8, yframes=1},
   }
},
{
   file="campaign/Ice Zone/indicators.tga",
   content={
     indicator_crosshair1={left=48, top=16, right=64, bottom=32, color=0x00FF00},
   }
},
{
    file="campaign/Ice Zone/firetank.tga",
    content={ 
      ["skin/firetank"]={},
	}
},
{
    file="campaign/Ice Zone/icetank.tga",
    content={ 
      ["skin/icetank"]={},
	}
},
{
    file="campaign/Ice Zone/firetank.tga",
    content={ 
      ["skin/red"]={},
	}
},
--------------------------------------

}
-- end of file --
